LibreOffice: UIElementSettings Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
UIElementSettings Service Reference

describes the internal structure of a configurable user interface element. More...

Inheritance diagram for UIElementSettings:

## Exported Interfaces
interface | ::com::sun::star::container::XIndexAccess
| provides access to the structure of the user interface element.
interface | ::com::sun::star::lang::XSingleComponentFactory
| provides access to an optional factory interface to create sub container.

## Public Attributes
string | UIName
| determine an optional user interface name of the user interface element.

## Additional Inherited Members
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XSingleComponentFactory
com::sun::star::uno::XInterface | createInstanceWithContext ([in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a service implementation.
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises ( com::sun::star::uno::Exception )
| Creates an instance of a component and initializes the new instance with the given arguments and context.

## Detailed Description

describes the internal structure of a configurable user interface element.

No assumption is made about any graphical representation: You could have a menu or a toolbar working with the same UIElementSettings although limitations based on the real user interface element may be visible.

Since
  OOo 2.0

## Exported Interfaces

## ◆ ::com::sun::star::container::XIndexAccess

interface ::com::sun::star::container::XIndexAccess

provides access to the structure of the user interface element.

The container contains the items of the user interface element. Every item is stored as a sequence of com::sun::star::beans::PropertyValue. The properties insides the sequence are defined by the service com::sun::star::ui::ItemDescriptor. It depends on the function which provides these service if the container is shareable read-only or exclusive writable.

See also
  com::sun::star::ui::ItemDescriptor
  com::sun::star::ui::ItemType
  com::sun::star::ui::ItemStyle

## ◆ ::com::sun::star::lang::XSingleComponentFactory

interface ::com::sun::star::lang::XSingleComponentFactory
| optional

provides access to an optional factory interface to create sub container.

The factory should be used to create sub container within this user interface element settings. This interface is only available if the container is exclusive writable.

## Member Data Documentation

## ◆ UIName

string UIName
| optionalproperty

determine an optional user interface name of the user interface element.

A toolbar can show its user interface name on the window title, when it is in floating mode.

The documentation for this service was generated from the following file:

- com/sun/star/ui/UIElementSettings.idl